org.apache.hadoop.yarn.api.records

## Class QueueInfo

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.QueueInfo

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class QueueInfo
      extends Object

  QueueInfo is a report of the runtime information of the queue.

  It includes information such as:

  - Queue name.
  - Capacity of the queue.
  - Maximum capacity of the queue.
  - Current capacity of the queue.
  - Child queues.
  - Running applications.
  - `QueueState` of the queue.
  - `QueueConfigurations` of the queue.
  See Also:
    `QueueState`, `QueueConfigurations`, `ApplicationClientProtocol.getQueueInfo(org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<String>` | `getAccessibleNodeLabels()` Get the `accessible node labels` of the queue.
    `abstract List<ApplicationReport>` | `getApplications()` Get the running applications of the queue.
    `abstract float` | `getCapacity()` Get the configured capacity of the queue.
    `abstract List<QueueInfo>` | `getChildQueues()` Get the child queues of the queue.
    `abstract float` | `getCurrentCapacity()` Get the current capacity of the queue.
    `abstract String` | `getDefaultNodeLabelExpression()` Get the `default node label expression` of the queue, this takes affect only when the `ApplicationSubmissionContext` and `ResourceRequest` don't specify their `NodeLabelExpression`.
    `abstract Boolean` | `getIntraQueuePreemptionDisabled()` Get the intra-queue preemption status of the queue.
    `abstract float` | `getMaximumCapacity()` Get the maximum capacity of the queue.
    `abstract Boolean` | `getPreemptionDisabled()` Get the preemption status of the queue.
    `abstract Map<String,QueueConfigurations>` | `getQueueConfigurations()` Get the per-node-label queue configurations of the queue.
    `abstract String` | `getQueueName()` Get the name of the queue.
    `abstract QueueState` | `getQueueState()` Get the `QueueState` of the queue.
    `abstract QueueStatistics` | `getQueueStatistics()` Get the `queue stats` for the queue
    `static QueueInfo` | `newInstance(String queueName, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled)`
    `static QueueInfo` | `newInstance(String queueName, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, Map<String,QueueConfigurations> queueConfigurations)`
    `static QueueInfo` | `newInstance(String queueName, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, Map<String,QueueConfigurations> queueConfigurations, boolean intraQueuePreemptionDisabled)`
    `abstract void` | `setAccessibleNodeLabels(Set<String> labels)` Set the `accessible node labels` of the queue.
    `abstract void` | `setApplications(List<ApplicationReport> applications)`
    `abstract void` | `setCapacity(float capacity)`
    `abstract void` | `setChildQueues(List<QueueInfo> childQueues)`
    `abstract void` | `setCurrentCapacity(float currentCapacity)`
    `abstract void` | `setDefaultNodeLabelExpression(String defaultLabelExpression)`
    `abstract void` | `setIntraQueuePreemptionDisabled(boolean intraQueuePreemptionDisabled)`
    `abstract void` | `setMaximumCapacity(float maximumCapacity)`
    `abstract void` | `setPreemptionDisabled(boolean preemptionDisabled)`
    `abstract void` | `setQueueConfigurations(Map<String,QueueConfigurations> queueConfigurations)` Set the per-node-label queue configurations for the queue.
    `abstract void` | `setQueueName(String queueName)`
    `abstract void` | `setQueueState(QueueState queueState)`
    `abstract void` | `setQueueStatistics(QueueStatistics queueStatistics)` Set the queue statistics for the queue

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInfo

          public QueueInfo()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static QueueInfo newInstance(String queueName,
                                                                                                       float capacity,
                                                                                                       float maximumCapacity,
                                                                                                       float currentCapacity,
                                                                                                       List<QueueInfo> childQueues,
                                                                                                       List<ApplicationReport> applications,
                                                                                                       QueueState queueState,
                                                                                                       Set<String> accessibleNodeLabels,
                                                                                                       String defaultNodeLabelExpression,
                                                                                                       QueueStatistics queueStatistics,
                                                                                                       boolean preemptionDisabled)

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static QueueInfo newInstance(String queueName,
                                                                                                       float capacity,
                                                                                                       float maximumCapacity,
                                                                                                       float currentCapacity,
                                                                                                       List<QueueInfo> childQueues,
                                                                                                       List<ApplicationReport> applications,
                                                                                                       QueueState queueState,
                                                                                                       Set<String> accessibleNodeLabels,
                                                                                                       String defaultNodeLabelExpression,
                                                                                                       QueueStatistics queueStatistics,
                                                                                                       boolean preemptionDisabled,
                                                                                                       Map<String,QueueConfigurations> queueConfigurations)

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static QueueInfo newInstance(String queueName,
                                                                                                       float capacity,
                                                                                                       float maximumCapacity,
                                                                                                       float currentCapacity,
                                                                                                       List<QueueInfo> childQueues,
                                                                                                       List<ApplicationReport> applications,
                                                                                                       QueueState queueState,
                                                                                                       Set<String> accessibleNodeLabels,
                                                                                                       String defaultNodeLabelExpression,
                                                                                                       QueueStatistics queueStatistics,
                                                                                                       boolean preemptionDisabled,
                                                                                                       Map<String,QueueConfigurations> queueConfigurations,
                                                                                                       boolean intraQueuePreemptionDisabled)

    - #### getQueueName

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getQueueName()

      Get the name of the queue.
      Returns:
        name of the queue

    - #### setQueueName

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setQueueName(String queueName)

    - #### getCapacity

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract float getCapacity()

      Get the configured capacity of the queue.
      Returns:
        configured capacity of the queue

    - #### setCapacity

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setCapacity(float capacity)

    - #### getMaximumCapacity

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract float getMaximumCapacity()

      Get the maximum capacity of the queue.
      Returns:
        maximum capacity of the queue

    - #### setMaximumCapacity

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setMaximumCapacity(float maximumCapacity)

    - #### getCurrentCapacity

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract float getCurrentCapacity()

      Get the current capacity of the queue.
      Returns:
        current capacity of the queue

    - #### setCurrentCapacity

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setCurrentCapacity(float currentCapacity)

    - #### getChildQueues

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<QueueInfo> getChildQueues()

      Get the child queues of the queue.
      Returns:
        child queues of the queue

    - #### setChildQueues

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setChildQueues(List<QueueInfo> childQueues)

    - #### getApplications

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<ApplicationReport> getApplications()

      Get the running applications of the queue.
      Returns:
        running applications of the queue

    - #### setApplications

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setApplications(List<ApplicationReport> applications)

    - #### getQueueState

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract QueueState getQueueState()

      Get the `QueueState` of the queue.
      Returns:
        `QueueState` of the queue

    - #### setQueueState

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setQueueState(QueueState queueState)

    - #### getAccessibleNodeLabels

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Set<String> getAccessibleNodeLabels()

      Get the `accessible node labels` of the queue.
      Returns:
        `accessible node labels` of the queue

    - #### setAccessibleNodeLabels

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setAccessibleNodeLabels(Set<String> labels)

      Set the `accessible node labels` of the queue.

    - #### getDefaultNodeLabelExpression

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getDefaultNodeLabelExpression()

      Get the `default node label expression` of the queue, this takes affect only when the `ApplicationSubmissionContext` and `ResourceRequest` don't specify their `NodeLabelExpression`.
      Returns:
        `default node label expression` of the queue

    - #### setDefaultNodeLabelExpression

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setDefaultNodeLabelExpression(String defaultLabelExpression)

    - #### getQueueStatistics

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract QueueStatistics getQueueStatistics()

      Get the `queue stats` for the queue
      Returns:
        `queue stats` of the queue

    - #### setQueueStatistics

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setQueueStatistics(QueueStatistics queueStatistics)

      Set the queue statistics for the queue
      Parameters:
        `queueStatistics` - the queue statistics

    - #### getPreemptionDisabled

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Boolean getPreemptionDisabled()

      Get the preemption status of the queue.
      Returns:
        if property is not in proto, return null; otherwise, return preemption status of the queue

    - #### setPreemptionDisabled

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setPreemptionDisabled(boolean preemptionDisabled)

    - #### getQueueConfigurations

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Map<String,QueueConfigurations> getQueueConfigurations()

      Get the per-node-label queue configurations of the queue.
      Returns:
        the per-node-label queue configurations of the queue.

    - #### setQueueConfigurations

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setQueueConfigurations(Map<String,QueueConfigurations> queueConfigurations)

      Set the per-node-label queue configurations for the queue.
      Parameters:
        `queueConfigurations` - the queue configurations

    - #### getIntraQueuePreemptionDisabled

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Boolean getIntraQueuePreemptionDisabled()

      Get the intra-queue preemption status of the queue.
      Returns:
        if property is not in proto, return null; otherwise, return intra-queue preemption status of the queue

    - #### setIntraQueuePreemptionDisabled

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setIntraQueuePreemptionDisabled(boolean intraQueuePreemptionDisabled)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.